
* Canonical Correlation Using MANOVA  .

* NOTE -- USE HBAT_200 DATASET  .

TITLE 'CANONICAL CORRELATION WITH MANOVA' .
MANOVA
x20 x21 WITH x6 x7 x8 x9 X10 X11 X12 X13 X15 X16 X17
/DISCRIM ALL ALPHA (0.05) 
/PRINT SIGNIF(EIGN DIMENR HYPOTH) .


* Canonical Correlation with VARIMAX Rotation .

TITLE 'CANONICAL CORR WITH MANOVA AND VARIMAX ROTATION' .
MANOVA
x20 x21 with x6 x7 x8 x9 x16 x18
/DISCRIM ALL ALPHA (0.05) ROTATE(VARIMAX)
/PRINT SIGNIF(EIGN DIMENR HYPOTH) .

* USING A SPSS-SUPPLIED MACRO FOR CANONICAL CORRELATION .
* THE MACRO IS AVAILABLE IN THE SPSS PROGRAM FOLDER .
* EXECUTE THE MACRO FILE BEFORE RUNNING THE MACRO .

* Using a SPSS_Supplied Macro for Canonical Correlation .
* The macro is available in the SPSS Program folder .
* Execute the Macro Syntax File before Running the Macro -- CANCORR .

TITLE 'CANONICAL CORRELATION WITH SPSS MACRO -- CANCORR' .

INCLUDE 'SPSS_MACRO_Canonical_correlation.sps'.
CANCORR SET1=X20 X21 /
        SET2=X6 X7 X8 X9 X10 X11 X12 X13 X15 X16 X17 / .



